OpenNMS API 1.2.9

## org.opennms.netmgt.rtc.utils
Class EuiLevelMapper

    java.lang.Object
      org.opennms.netmgt.rtc.utils.EuiLevelMapper

public class EuiLevelMapper
extends java.lang.Object

This takes an object of type 'RTCCategory' and creates an XML (bytearray)stream of the format to be sent to the user using classes generated by castor

Author:
  Sowmya Nataraj , OpenNMS.org
See Also:
  `RTCCategory`, `EuiLevel`

Field Summary
`private Header` `m_header` The header to be sent out for the availabilty xml(rtceui.xsd)

Constructor Summary
`EuiLevelMapper()` Constructor

Method Summary
`EuiLevel` `convertToEuiLevelXML(RTCCategory rtcCat)` Convert the 'RTCCategory' object to a 'EuiLevel' object and marshall to XML

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_header

    private Header m_header

  The header to be sent out for the availabilty xml(rtceui.xsd)

Constructor Detail

### EuiLevelMapper

    public EuiLevelMapper()

  Constructor

Method Detail

### convertToEuiLevelXML

    public EuiLevel convertToEuiLevelXML(RTCCategory rtcCat)

  Convert the 'RTCCategory' object to a 'EuiLevel' object and marshall to XML

  Parameters:
    `rtcCat` - the RTCCategory to be converted

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.